import { ApiBase, LayoutAssociatedObjectLoadConfig } from './ApiBase';
import { AdaptableFlashingCell } from '../../AdaptableState/Common/AdaptableFlashingCell';
import { FlashingCellApi } from '../FlashingCellApi';
import { FlashingCellDefinition, FlashingCellState } from '../../AdaptableState/FlashingCellState';
import { AdaptablePredicateDef } from '../../AdaptableState/Common/AdaptablePredicate';
import { ColumnScope } from '../../AdaptableState/Common/ColumnScope';
import { FlashingCellInternalApi } from '../Internal/FlashingCellInternalApi';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { AdaptableObjectLookupCriteria } from '../../types';
export declare class FlashingCellApiImpl extends ApiBase implements FlashingCellApi {
    internalApi: FlashingCellInternalApi;
    constructor(_adaptable: IAdaptable);
    getFlashingCellState(): FlashingCellState;
    getFlashingCellDefinitions(config?: LayoutAssociatedObjectLoadConfig): FlashingCellDefinition[];
    getFlashingCellDefinitionById(id: FlashingCellDefinition['Uuid']): FlashingCellDefinition;
    getActiveFlashingCellDefinitions(): FlashingCellDefinition[];
    getSuspendedFlashingCellDefinitions(): FlashingCellDefinition[];
    getFlashingCellFlashTarget(flashingCellDefinition: FlashingCellDefinition): FlashingCellDefinition['FlashTarget'];
    showFlashingCell(flashingCellToShow: AdaptableFlashingCell): void;
    addFlashingCellDefinition(flashingCellDefinition: FlashingCellDefinition): FlashingCellDefinition;
    setFlashingCellDefinitions(flashingCellDefinitions: FlashingCellDefinition[]): void;
    editFlashingCellDefinition(flashingCellDefinition: FlashingCellDefinition): FlashingCellDefinition;
    suspendFlashingCellDefinition(flashingCellDefinition: FlashingCellDefinition): FlashingCellDefinition;
    unSuspendFlashingCellDefinition(flashingCellDefinition: FlashingCellDefinition): FlashingCellDefinition;
    suspendAllFlashingCellDefinition(): void;
    unSuspendAllFlashingCellDefinition(): void;
    addFlashingCellDefinitions(flashingCellDefinitions: FlashingCellDefinition[]): FlashingCellDefinition[];
    editFlashingCellDefinitions(flashingCellDefinitions: FlashingCellDefinition[]): FlashingCellDefinition[];
    getFlashingCellPredicateDefsForScope(scope: ColumnScope): AdaptablePredicateDef[];
    clearAllFlashingCells(): void;
    isAnyFlashingCellActive(): boolean;
    findFlashingCellDefinitions(criteria: AdaptableObjectLookupCriteria): FlashingCellDefinition[];
}
